petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDualSpaceRegister

Adds a new PetscDualSpace implementation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceRegister(const char sname[], PetscErrorCode (*function)(PetscDualSpace))

Not Collective Many br

### Input Parameters

| name | - The name of a new user-defined creation routine Many br
| create_func | - The creation routine itself Many br

### Notes

PetscDualSpaceRegister() may be called multiple times to add several user-defined PetscDualSpaces Many br

### Sample usage

        PetscDualSpaceRegister("my_space", MyPetscDualSpaceCreate);

Many br

Then, your PetscDualSpace type can be chosen with the procedural interface via Many br

        PetscDualSpaceCreate(MPI_Comm, PetscDualSpace *);
        PetscDualSpaceSetType(PetscDualSpace, "my_dual_space");

Many bror at runtime via the option Many br

        -petscdualspace_type my_dual_space

Many br

Many br

### Keywords

PetscDualSpace, register

### See Also

PetscDualSpaceRegisterAll(), PetscDualSpaceRegisterDestroy()

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages